Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419913 - dracut emits cat: write error: Broken pipe
Summary: dracut emits cat: write error: Broken pipe
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 11:54 UTC by Jan Pazdziora
Modified: 2018-11-30 21:30 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:30:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Pazdziora 2017-02-07 11:54:59 UTC
Description of problem:

Running dracut shows error line

cat: write error: Broken pipe

Version-Release number of selected component (if applicable):

dracut-044-78.fc25.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. dracut --force --verbose --regenerate-all

Actual results:

# dracut --force --verbose --regenerate-all
dracut: Executing: /usr/bin/dracut --kver=4.9.5-200.fc25.x86_64 --force --verbose
dracut: dracut module 'busybox' will not be installed, because command 'busybox' could not be found!
dracut: dracut module 'fcoe-uefi' will not be installed, because command 'fipvlan' could not be found!
dracut: dracut module 'busybox' will not be installed, because command 'busybox' could not be found!
dracut: dracut module 'fcoe-uefi' will not be installed, because command 'fipvlan' could not be found!
dracut: *** Including module: bash ***
dracut: *** Including module: systemd ***
dracut: *** Including module: systemd-initrd ***
dracut: *** Including module: nss-softokn ***
dracut: *** Including module: i18n ***
dracut: *** Including module: network ***
dracut: *** Including module: ifcfg ***
dracut: *** Including module: drm ***
dracut: *** Including module: plymouth ***
dracut: *** Including module: dm ***
dracut: Skipping udev rule: 64-device-mapper.rules
dracut: Skipping udev rule: 60-persistent-storage-dm.rules
dracut: Skipping udev rule: 55-dm.rules
dracut: *** Including module: kernel-modules ***
dracut: *** Including module: kernel-network-modules ***
dracut: *** Including module: lvm ***
dracut: Skipping udev rule: 64-device-mapper.rules
dracut: Skipping udev rule: 56-lvm.rules
dracut: Skipping udev rule: 60-persistent-storage-lvm.rules
dracut: *** Including module: rootfs-block ***
dracut: *** Including module: terminfo ***
dracut: *** Including module: udev-rules ***
dracut: Skipping udev rule: 40-redhat.rules
dracut: Skipping udev rule: 50-firmware.rules
dracut: Skipping udev rule: 50-udev.rules
dracut: Skipping udev rule: 91-permissions.rules
dracut: Skipping udev rule: 80-drivers-modprobe.rules
dracut: *** Including module: biosdevname ***
dracut: *** Including module: dracut-systemd ***
dracut: *** Including module: usrmount ***
dracut: *** Including module: base ***
dracut: *** Including module: fs-lib ***
dracut: *** Including module: shutdown ***
dracut: *** Including modules done ***
dracut: *** Installing kernel module dependencies ***
dracut: *** Installing kernel module dependencies done ***
dracut: *** Resolving executable dependencies ***
dracut: *** Resolving executable dependencies done***
dracut: *** Hardlinking files ***
dracut: *** Hardlinking files done ***
dracut: *** Stripping files ***
dracut: *** Stripping files done ***
dracut: *** Generating early-microcode cpio image ***
dracut: *** Constructing GenuineIntel.bin ****
dracut: *** Store current command line parameters ***
dracut: Stored kernel commandline:
dracut: No dracut internal kernel commandline stored in the initramfs
dracut: *** Creating image file '/boot/initramfs-4.9.5-200.fc25.x86_64.img' ***
cat: write error: Broken pipe
dracut: *** Creating initramfs image file '/boot/initramfs-4.9.5-200.fc25.x86_64.img' done ***

Expected results:

No "write error" line at the "Creating image file" step.

Additional info:

The /boot filesystem seems to have enough free space.

# df -h /boot
Filesystem      Size  Used Avail Use% Mounted on
/dev/sda2       496M  112M  384M  23% /boot

Comment 1 Vedran Miletić 2017-11-10 13:11:59 UTC
Duplicate of bug 1497444 (it affects Fedora 25, 26, 27 and rawhide)?

Comment 2 Fedora End Of Life 2017-11-16 19:41:32 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Jason Dickerson 2017-11-29 16:25:24 UTC
This is also effecting Fedora 26 - rawhide...  

Also I have noticed the following in /boot:

[root@jdickers ~]# ls -lR /boot/3053295745c94057a40abbffb5ed2703/
/boot/3053295745c94057a40abbffb5ed2703/:
total 4
drwxr-xr-x. 2 root root 1024 Nov 29 10:14 4.13.15-300.fc27.x86_64
drwxr-xr-x. 2 root root 1024 Nov 29 10:13 4.13.15-300.fc27.x86_64+debug

/boot/3053295745c94057a40abbffb5ed2703/4.13.15-300.fc27.x86_64:
total 0

/boot/3053295745c94057a40abbffb5ed2703/4.13.15-300.fc27.x86_64+debug:
total 0
[root@jdickers ~]# 


Could this be a symptom of the broken pipe?

Comment 4 Jan Pazdziora 2017-11-29 16:49:18 UTC
Updating version per comment 3.

Comment 5 Jason Dickerson 2017-11-29 16:52:13 UTC
You might want to update the version to 27, as 25, 26, 27, and 28 are all effected.

Comment 6 Jan Pazdziora 2017-11-29 18:10:20 UTC
It's be nice to see a fix in 26 and upwards, which I believe tracking against 26 could help.

Comment 7 Fedora End Of Life 2018-05-03 08:04:19 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Jan Pazdziora 2018-05-03 08:26:55 UTC
I don't see that error with dracut-046-8.git20180105.fc27.x86_64. Was the fix mentioned in bug 1497444 comment 19 backported to Fedora 27 or is me not seeing the error message on Fedora 27 just some random fluke?

Comment 9 Harald Hoyer 2018-05-07 08:44:14 UTC
fixed in F28 ... not yet backported to f27 and f26 ... it's just cosmetic

Comment 10 Jan Pazdziora 2018-05-07 15:10:20 UTC
Updating version to reflect that.

Comment 11 Ben Cotton 2018-11-27 15:47:48 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2018-11-30 21:30:18 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.